# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="A Discord and Fosscord client implemented directly without Discord API."

HOMEPAGE="https://github.com/SpacingBat3/WebCord"
SRC_URI="https://github.com/SpacingBat3/WebCord/releases/download/v3.5.2/WebCord-${PV}-x64.AppImage"

LICENSE="MIT"

SLOT="0"

KEYWORDS="~amd64"

# A space delimited list of portage features to restrict. man 5 ebuild
# for details.  Usually not needed.
#RESTRICT="strip"


# Run-time dependencies. Must be defined to whatever this depends on to run.
# Example:
#    ssl? ( >=dev-libs/openssl-1.0.2q:0= )
#    >=dev-lang/perl-5.24.3-r1
# It is advisable to use the >= syntax show above, to reflect what you
# had installed on your system when you tested the package.  Then
# other users hopefully won't be caught without the right version of
# a dependency.
#RDEPEND=""

# Build-time dependencies that need to be binary compatible with the system
# being built (CHOST). These include libraries that we link against.
# The below is valid if the same run-time depends are required to compile.
#DEPEND="${RDEPEND}"

# Build-time dependencies that are executed during the emerge process, and
# only need to be present in the native build system (CBUILD). Example:
#BDEPEND=""


src_unpack() {
	mkdir ${S} || die
	cp ${DISTDIR}/${A} ${S} || die
}

src_prepare() {
	chmod +x ${A}
	./${A} --appimage-extract || die "Extraction Failed"

	default

	# Edit files to reflect naming.
	sed -i -e "s/lib\/webcord/lib\/${PN}/" "squashfs-root/usr/bin/webcord" || die "Sed failed!"
	sed -i -e "s/webcord/${PN}/"           "squashfs-root/WebCord.desktop" || die "Sed failed!"
	sed -i -e "s/\.\/${PN}.png/${PN}/"     "squashfs-root/WebCord.desktop" || die "Sed failed!"

	mv "squashfs-root/usr/lib/webcord" "squashfs-root/usr/lib/${PN}" || die
	# Move executable out to be installed as executable later.
	mv "squashfs-root/usr/lib/${PN}/webcord" ./ || die
}

src_install() {
	exeinto "/usr/bin"
	newexe "squashfs-root/usr/bin/webcord" "${PN}"

	insinto "/usr/lib"
    doins -r "squashfs-root/usr/lib/${PN}"

	exeinto "/usr/lib/${PN}"
	doexe "webcord"

	insinto "/usr/share/applications"
	newins "squashfs-root/WebCord.desktop" "${PN}.desktop"

	insinto "/usr/share/pixmaps"
	newins "squashfs-root/webcord.png" "${PN}.png"
}
